---
title: ResizeObserverEntry.borderBoxSize
slug: Web/API/ResizeObserverEntry/borderBoxSize
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Resize Observer API
  - ResizeObserverEntry
  - borderBoxSize
---
<div>{{APIRef("Resize Observer API")}}{{seecompattable}}</div>

<p class="summary">The <strong><code>borderBoxSize</code></strong> read-only property of the {{domxref("ResizeObserverEntry")}} interface returns an array containing the new border box size of the observed element when the callback is run.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var myBorderBoxSize = ResizeObserverEntry.borderBoxSize;
</pre>

<h3 id="Value">Value</h3>

<p>An array containing objects with the new border box size of the observed element. The array is necessary to support elements that have multiple fragments, which occur in multi-column scenarios. Each object in the array contains two properties:</p>

<dl>
 <dt><code>blockSize</code></dt>
 <dd>The length of the observed element's border box in the block dimension. For boxes with a horizontal {{cssxref("writing-mode")}}, this is the vertical dimension, or height; if the writing-mode is vertical, this is the horizontal dimension, or width.</dd>
 <dt><code>inlineSize</code></dt>
 <dd>The length of the observed element's border box in the inline dimension. For boxes with a horizontal {{cssxref("writing-mode")}}, this is the horizontal dimension, or width; if the writing-mode is vertical, this is the vertical dimension, or height.</dd>
</dl>

<div class="notecard note">
<p><strong>Note</strong>: For more explanation of writing modes and block and inline dimensions, read <a href="/en-US/docs/Learn/CSS/Building_blocks/Handling_different_text_directions">Handling different text directions</a>.</p>
</div>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">const resizeObserver = new ResizeObserver(entries =&gt; {
  for (let entry of entries) {
    if(entry.borderBoxSize &amp;&amp; entry.borderBoxSize.length &gt; 0) {
      entry.target.style.borderRadius = Math.min(100, (entry.borderBoxSize[0].inlineSize/10) +
                                                      (entry.borderBoxSize[0].blockSize/10)) + 'px';
    } else {
      entry.target.style.borderRadius = Math.min(100, (entry.contentRect.width/10) +
                                                      (entry.contentRect.height/10)) + 'px';
    }
  }
});

resizeObserver.observe(document.querySelector('div'));</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Resize Observer','#dom-resizeobserverentry-borderboxsize','target')}}</td>
   <td>{{Spec2('Resize Observer')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ResizeObserverEntry.borderBoxSize")}}</p>
